Package org.apache.ignite.internal.processors.cache

## Class GridCacheSharedContext.Builder

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedContext.Builder

Enclosing class:
  GridCacheSharedContext<K,​V>

    public static class GridCacheSharedContext.Builder
    extends Object

Builder for `GridCacheSharedContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`<K,​V> GridCacheSharedContext<K,​V>` `build​(GridKernalContext kernalCtx, Collection<CacheStoreSessionListener> storeSesLsnrs)`
`GridCacheSharedContext.Builder` `setAffinityManager​(CacheAffinitySharedManager affMgr)`
`GridCacheSharedContext.Builder` `setCdcManager​(CdcManager cdcMgr)`
`GridCacheSharedContext.Builder` `setDatabaseManager​(IgniteCacheDatabaseSharedManager dbMgr)`
`GridCacheSharedContext.Builder` `setDeploymentManager​(GridCacheDeploymentManager depMgr)`
`GridCacheSharedContext.Builder` `setDiagnosticManager​(CacheDiagnosticManager diagnosticMgr)`
`GridCacheSharedContext.Builder` `setIoManager​(GridCacheIoManager ioMgr)`
`GridCacheSharedContext.Builder` `setJtaManager​(CacheJtaManagerAdapter jtaMgr)`
`GridCacheSharedContext.Builder` `setMvccManager​(GridCacheMvccManager mvccMgr)`
`GridCacheSharedContext.Builder` `setPageStoreManager​(IgnitePageStoreManager pageStoreMgr)`
`GridCacheSharedContext.Builder` `setPartitionExchangeManager​(GridCachePartitionExchangeManager exchMgr)`
`GridCacheSharedContext.Builder` `setPartitionsEvictManager​(PartitionsEvictManager evictMgr)`
`GridCacheSharedContext.Builder` `setSnapshotManager​(IgniteSnapshotManager snapshotMgr)`
`GridCacheSharedContext.Builder` `setTtlCleanupManager​(GridCacheSharedTtlCleanupManager ttlMgr)`
`GridCacheSharedContext.Builder` `setTxManager​(IgniteTxManager txMgr)`
`GridCacheSharedContext.Builder` `setVersionManager​(GridCacheVersionManager verMgr)`
`GridCacheSharedContext.Builder` `setWalManager​(IgniteWriteAheadLogManager walMgr)`
`GridCacheSharedContext.Builder` `setWalStateManager​(WalStateManager walStateMgr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public <K,​V> GridCacheSharedContext<K,​V> build​(GridKernalContext kernalCtx,
                                                               Collection<CacheStoreSessionListener> storeSesLsnrs)

#### setTxManager

    public GridCacheSharedContext.Builder setTxManager​(IgniteTxManager txMgr)

#### setJtaManager

    public GridCacheSharedContext.Builder setJtaManager​(CacheJtaManagerAdapter jtaMgr)

#### setVersionManager

    public GridCacheSharedContext.Builder setVersionManager​(GridCacheVersionManager verMgr)

#### setMvccManager

    public GridCacheSharedContext.Builder setMvccManager​(GridCacheMvccManager mvccMgr)

#### setPageStoreManager

    public GridCacheSharedContext.Builder setPageStoreManager​(IgnitePageStoreManager pageStoreMgr)

#### setWalManager

    public GridCacheSharedContext.Builder setWalManager​(IgniteWriteAheadLogManager walMgr)

#### setWalStateManager

    public GridCacheSharedContext.Builder setWalStateManager​(WalStateManager walStateMgr)

#### setDatabaseManager

    public GridCacheSharedContext.Builder setDatabaseManager​(IgniteCacheDatabaseSharedManager dbMgr)

#### setSnapshotManager

    public GridCacheSharedContext.Builder setSnapshotManager​(IgniteSnapshotManager snapshotMgr)

#### setDeploymentManager

    public GridCacheSharedContext.Builder setDeploymentManager​(GridCacheDeploymentManager depMgr)

#### setPartitionExchangeManager

    public GridCacheSharedContext.Builder setPartitionExchangeManager​(GridCachePartitionExchangeManager exchMgr)

#### setAffinityManager

    public GridCacheSharedContext.Builder setAffinityManager​(CacheAffinitySharedManager affMgr)

#### setIoManager

    public GridCacheSharedContext.Builder setIoManager​(GridCacheIoManager ioMgr)

#### setTtlCleanupManager

    public GridCacheSharedContext.Builder setTtlCleanupManager​(GridCacheSharedTtlCleanupManager ttlMgr)

#### setPartitionsEvictManager

    public GridCacheSharedContext.Builder setPartitionsEvictManager​(PartitionsEvictManager evictMgr)

#### setDiagnosticManager

    public GridCacheSharedContext.Builder setDiagnosticManager​(CacheDiagnosticManager diagnosticMgr)

#### setCdcManager

    public GridCacheSharedContext.Builder setCdcManager​(CdcManager cdcMgr)